# Uses of Interface
org.eclipse.core.databinding.observable.IChangeListener

Packages that use IChangeListener
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.list
Provides classes for observing changes in lists.
org.eclipse.core.databinding.observable.map
Provides classes that can be used to observe changes in maps.
org.eclipse.core.databinding.observable.set
Provides classes that can be used to observe changes in sets.
org.eclipse.core.databinding.observable.value
Provides classes that can be used to observe changes in discrete values.

## Uses of IChangeListener in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable with parameters of type IChangeListener
Modifier and Type
Method
Description
`void`
AbstractObservable.`addChangeListener(IChangeListener listener)`
`void`
ChangeSupport.`addChangeListener(IChangeListener listener)`
`void`
IObservable.`addChangeListener(IChangeListener listener)`
Adds the given change listener to the list of change listeners.
`void`
AbstractObservable.`removeChangeListener(IChangeListener listener)`
`void`
ChangeSupport.`removeChangeListener(IChangeListener listener)`
`void`
IObservable.`removeChangeListener(IChangeListener listener)`
Removes the given change listener from the list of change listeners.
`static IObservable[]`
ObservableTracker.`runAndMonitor(Runnable runnable, IChangeListener changeListener, IStaleListener staleListener)`
Invokes the given runnable, and returns the set of IObservables that were read by the runnable.

## Uses of IChangeListener in org.eclipse.core.databinding.observable.list

Methods in org.eclipse.core.databinding.observable.list with parameters of type IChangeListener
Modifier and Type
Method
Description
`void`
AbstractObservableList.`addChangeListener(IChangeListener listener)`
`void`
ComputedList.`addChangeListener(IChangeListener listener)`
`void`
AbstractObservableList.`removeChangeListener(IChangeListener listener)`

## Uses of IChangeListener in org.eclipse.core.databinding.observable.map

Methods in org.eclipse.core.databinding.observable.map with parameters of type IChangeListener
Modifier and Type
Method
Description
`void`
AbstractObservableMap.`addChangeListener(IChangeListener listener)`
`void`
AbstractObservableMap.`removeChangeListener(IChangeListener listener)`

## Uses of IChangeListener in org.eclipse.core.databinding.observable.set

Methods in org.eclipse.core.databinding.observable.set with parameters of type IChangeListener
Modifier and Type
Method
Description
`void`
ComputedSet.`addChangeListener(IChangeListener listener)`

## Uses of IChangeListener in org.eclipse.core.databinding.observable.value

Methods in org.eclipse.core.databinding.observable.value with parameters of type IChangeListener
Modifier and Type
Method
Description
`void`
ComputedValue.`addChangeListener(IChangeListener listener)`
`void`
DuplexingObservableValue.`addChangeListener(IChangeListener listener)`